//Unit w2k; 

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

#ifndef _W2K_H_
#define _W2K_H_

//---------------

//Interface
#ifndef TPM_RECURSE
#define TPM_RECURSE         0x0001L
#endif

#ifndef CAPTUREBLT
#define CAPTUREBLT 0x40000000 /* Include layered windows */
#define NOMIRRORBITMAP 0x80000000
#endif

#define WS_EX_LAYERED 0x00080000
#define WS_EX_NOACTIVATE 0x08000000
#define LWA_COLORKEY 0x00000001
#define LWA_ALPHA 0x00000002

#define ULW_COLORKEY            0x00000001
#define ULW_ALPHA               0x00000002
#define ULW_OPAQUE              0x00000004

#define NIF_STATE 0x00000008
#define NIF_INFO 0x00000010
#define NIS_HIDDEN 0x00000001
#define NIS_SHAREDICON 0x00000002
#define _NIS_HIDDEN 0x01000000

/* Notify Icon Infotip flags*/ 
#define NIIF_NONE 0x00000000
/* icon flags are mutualy exclusive*/ 
/* and take only the lowest 2 bits*/ 
#define NIIF_INFO 0x00000001
#define NIIF_WARNING 0x00000002
#define NIIF_ERROR 0x00000003
/*--------------------------------------------------------------------*/ 
#define SPI_GETMENUFADE 0x1012
#define SPI_SETMENUFADE 0x1013

#define WPSTYLE_CENTER 0
#define WPSTYLE_TILE 1
#define WPSTYLE_STRETCH 2
#define WPSTYLE_MAX 3


#define AW_HOR_POSITIVE             0x00000001
#define AW_HOR_NEGATIVE             0x00000002
#define AW_VER_POSITIVE             0x00000004
#define AW_VER_NEGATIVE             0x00000008
#define AW_CENTER                   0x00000010
#define AW_HIDE                     0x00010000
#define AW_ACTIVATE                 0x00020000
#define AW_SLIDE                    0x00040000
#define AW_BLEND                    0x00080000


typedef BOOL (WINAPI *SetLayeredWindowAttributes) (HWND wnd, COLORREF crKey, BYTE bAlpha, DWORD dwFlags);
typedef BOOL (WINAPI *AllowSetForegroundWindow) (DWORD dwProcessId);


typedef struct tagNOTIFYICONDATA5A
{ 
  DWORD cbSize;
  HWND Wnd;
  UINT uID;
  UINT uFlags;
  UINT uCallbackMessage;
  HICON hIcon;
  char szTip[127+1];
  DWORD dwState;
  DWORD dwStateMask;
  char szInfo[255+1];
  UINT uTimeout;
  char szInfoTitle[63+1];
  DWORD dwInfoFlags;
} NOTIFYICONDATA5A, *PNOTIFYICONDATA5A;


typedef struct tagNOTIFYICONDATA5W
{ 
  DWORD cbSize;
  HWND Wnd;
  UINT uID;
  UINT uFlags;
  UINT uCallbackMessage;
  HICON hIcon;
  WCHAR szTip[127+1];
  DWORD dwState;
  DWORD dwStateMask;
  WCHAR szInfo[255+1];
  UINT uTimeout;
  WCHAR szInfoTitle[63+1];
  DWORD dwInfoFlags;
} NOTIFYICONDATA5W, *PNOTIFYICONDATA5W;


#pragma pack(push, 1)
typedef struct tagNOTIFYICONDATAXP
{ 
  DWORD cbSize;
  HWND Wnd;
  UINT uID;
  UINT uFlags;
  UINT uCallbackMessage;
  HICON hIcon;
  WCHAR szTip[127+1];
  DWORD dwState;
  DWORD dwStateMask;
  WCHAR szInfo[255+1];
  UINT uTimeout;
  WCHAR szInfoTitle[63+1];
  DWORD dwInfoFlags;
  GUID reserved;
} NOTIFYICONDATAXP, *PNOTIFYICONDATAXP;
#pragma pack(pop)

#ifndef WM_MENURBUTTONUP
#define WM_MENURBUTTONUP                0x0122
#endif
#ifndef WM_UNINITMENUPOPUP
#define WM_UNINITMENUPOPUP              0x0125
#endif

#ifndef SPI_GETMENUANIMATION
#define SPI_GETMENUANIMATION                0x1002
#define SPI_SETMENUANIMATION                0x1003
#endif

#if !defined (PRINTDLGEXA)

typedef struct tagPRINTPAGERANGE {
   DWORD  nFromPage;
   DWORD  nToPage;
} PRINTPAGERANGE, *LPPRINTPAGERANGE;


typedef struct tagPDEXA {
   DWORD                 lStructSize;          // size of structure in bytes
   HWND                  hwndOwner;            // caller's window handle
   HGLOBAL               hDevMode;             // handle to DevMode
   HGLOBAL               hDevNames;            // handle to DevNames
   HDC                   hDC;                  // printer DC/IC or NULL
   DWORD                 Flags;                // PD_ flags
   DWORD                 Flags2;               // reserved
   DWORD                 ExclusionFlags;       // items to exclude from driver pages
   DWORD                 nPageRanges;          // number of page ranges
   DWORD                 nMaxPageRanges;       // max number of page ranges
   LPPRINTPAGERANGE      lpPageRanges;         // array of page ranges
   DWORD                 nMinPage;             // min page number
   DWORD                 nMaxPage;             // max page number
   DWORD                 nCopies;              // number of copies
   HINSTANCE             hInstance;            // instance handle
   LPCSTR                lpPrintTemplateName;  // template name for app specific area
   LPUNKNOWN             lpCallback;           // app callback interface
   DWORD                 nPropertyPages;       // number of app property pages in lphPropertyPages
   HPROPSHEETPAGE       *lphPropertyPages;     // array of app property page handles
   DWORD                 nStartPage;           // start page id
   DWORD                 dwResultAction;       // result action if S_OK is returned
} PRINTDLGEXA, *LPPRINTDLGEXA;

#define START_PAGE_GENERAL             0xffffffff

#define PD_RESULT_CANCEL               0
#define PD_RESULT_PRINT                1
#define PD_RESULT_APPLY                2

#define PD_NOCURRENTPAGE               0x00800000

#endif

//pas2c32 warnings: 0
#endif
